X11 SDK / wo erhätlich?

Dieses Thema im Forum "Mac OS - Unix & Terminal" wurde erstellt von albertino13, 06.12.2004.

  1. albertino13

    albertino13 Thread Starter MacUser Mitglied

    Beiträge:
    68
    Zustimmungen:
    0
    Mitglied seit:
    26.05.2004
    hallo,

    möchte mir Gaim (chat-tool) installieren. Dazu benötige ich unter anderem auch die X11 SDK. Wo bekomme ich diese?

    auf apple.com -> X11 for Mac OS X SDK

    "The software developer’s kit contains headers and other support files for X11, and is only needed if you want to compile your own X11 applications on Mac OS X v10.3. It is available on the Panther Developer CD as an optional package."

    Besitze diese CD leider nicht :-(
     
  2. jlepthien

    jlepthien MacUser Mitglied

    Beiträge:
    4.858
    Zustimmungen:
    118
    Mitglied seit:
    05.04.2004
    Du hast X11 nicht auf der Panther CD? Ich habe nur das X11 von der Panther CD mitinstalliert und noch die Xcode Developer Tools und jetzt kann ich auch alles kompilieren.
     
  3. albertino13

    albertino13 Thread Starter MacUser Mitglied

    Beiträge:
    68
    Zustimmungen:
    0
    Mitglied seit:
    26.05.2004
    danke für die rasche antwort. Natürlich ist die SDK in den XCode Developer Tools enthalten, funkt schon :)
     
  4. Rookie12

    Rookie12 MacUser Mitglied

    Beiträge:
    18
    Zustimmungen:
    0
    Mitglied seit:
    06.10.2004
    darwinport

    Habe ein ähnliches Problem mit darwin port. Wenn ich die Installation configurere mit ./configure bekomme ich folgende Fehlermeldung:
    Code:
    Please install the X11 SDK packages from the
    Xcode Developer Tools CD
    configure: error: Broken X11 install. No X11 headers
    
    Habe das X11 installiert. Hab sogar noch die aktuelle Version heruntergeladen konnte sie aber nicht installieren weil ich anscheinend eine neuere Version drauf habe.
    Habe auch die neuste XCode Tools v. 1.5 heruntergeladen. Hat jemand eine Idee oder einen link wo ich die richtige X11 Version bekomme.

    Vielen Dank
     
  5. Maveric

    Maveric MacUser Mitglied

    Beiträge:
    462
    Zustimmungen:
    0
    Mitglied seit:
    22.03.2004
    @Rookie12: Ich sehe das Problem bei dir nicht ganz. Die Angaben, die du machst stehen im Wiederspruch zur Terminalausgabe, die du als Screenshost beigefügt hast.

    Ich nehm daher an, daß du die X11 Header die im X11 SDK sind installieren willst und daher auch das X11 SDK.

    Dieses X11 SDK ist, sofern mir bekannt, bei allen XCode Versionen dabei. Allerdings wird es nicht mit der normalen Standardinstallation, sprich XCode Installation starten und dann immer nur "Weiter" klicken, nicht mitinstalliert. Du mußt daher eine benutzerdefinierte Installation durchführen und das X11 SDK explizit auswählen.

    Dazu startest du das XCode wie gewohnt per Doppelklick und klickst dich dann weiter bis du links unten oder eher mittig im Installationsdialog "Erweitert" (kann auch "Benutzerdefiniert" heißen) siehst. Dort draufklicken und schon hast du die Möglichkeit nach eigenen Wünschen Pakete zusätzlich zu den Standardpaketen hinzuinstallieren oder Standardpakete abzuwählen.

    Mit Pacifist (Shareware und über Versiontracker zu finden) kannst du in das XCode 1.5 Metapackage reinschauen und dort nach dem X11SDK suchen, herauskopieren und seperat installieren.
     
Die Seite wird geladen...

Diese Seite empfehlen